# Enum Class VulkanQueueFamilyPropertyFlag

java.lang.Object
java.lang.Enum<VulkanQueueFamilyPropertyFlag>
com.io7m.jcoronado.api.VulkanQueueFamilyPropertyFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanQueueFamilyPropertyFlag>`, `Constable`

public enum VulkanQueueFamilyPropertyFlag extends Enum<VulkanQueueFamilyPropertyFlag> implements VulkanEnumBitmaskType
The queue family property flags.

See Also:
  - "VkQueueFlagBits"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_QUEUE_COMPUTE_BIT`
  Queues in this queue family support compute operations.
  `VK_QUEUE_GRAPHICS_BIT`
  Queues in this queue family support graphics operations.
  `VK_QUEUE_PROTECTED_BIT`
  Queues in this queue family support the VK_DEVICE_QUEUE_CREATE_PROTECTED_BIT bit.
  `VK_QUEUE_SPARSE_BINDING_BIT`
  Queues in this queue family support sparse memory management operations.
  `VK_QUEUE_TRANSFER_BIT`
  Queues in this queue family support transfer operations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanQueueFamilyPropertyFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanQueueFamilyPropertyFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_QUEUE_GRAPHICS_BIT

    public static final VulkanQueueFamilyPropertyFlag VK_QUEUE_GRAPHICS_BIT
    Queues in this queue family support graphics operations.

  - ### VK_QUEUE_COMPUTE_BIT

    public static final VulkanQueueFamilyPropertyFlag VK_QUEUE_COMPUTE_BIT
    Queues in this queue family support compute operations.

  - ### VK_QUEUE_TRANSFER_BIT

    public static final VulkanQueueFamilyPropertyFlag VK_QUEUE_TRANSFER_BIT
    Queues in this queue family support transfer operations.

  - ### VK_QUEUE_SPARSE_BINDING_BIT

    public static final VulkanQueueFamilyPropertyFlag VK_QUEUE_SPARSE_BINDING_BIT
    Queues in this queue family support sparse memory management operations.

  - ### VK_QUEUE_PROTECTED_BIT

    public static final VulkanQueueFamilyPropertyFlag VK_QUEUE_PROTECTED_BIT
    Queues in this queue family support the VK_DEVICE_QUEUE_CREATE_PROTECTED_BIT bit.

- ## Method Details

  - ### values

    public static VulkanQueueFamilyPropertyFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanQueueFamilyPropertyFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant